/*
*Copyright: Copyright (c) 2003-2004, Lehigh University. All rights reserved.
*License Statement: The GNU General Public License
*/

package edu.lehigh.swat.hawk.storage.simplememory;
import edu.lehigh.swat.hawk.core.ObjectId;
/**
 * A simple implementation of core.Assertion in memory.
 * @author Z. Pan
 * @version 1.0
 */

public class Assertion implements edu.lehigh.swat.hawk.core.Assertion, java.io.Serializable{

  /**
   * Constructor
   */
  public Assertion(ObjectId sub, ObjectId pre, ObjectId obj) {
    subject = sub;
    predicate = pre;
    object = obj;
  }

  /**
   * get the subejct
   */
  public ObjectId getSubject(){
    return subject;
  }

  /**
   * set the subject
   */
  public void setSubject(ObjectId s){
    subject = s;
  }

  /**
   * get the obejct
   */
  public ObjectId getObject(){
    return object;
  }

  /**
   * set the object
   */
  public void setObject(ObjectId o){
    object = o;
  }

  /**
   * get the predicate
   */
  public ObjectId getPredicate(){
    return predicate;
  }

  /**
   * set the predicate
   */
  public void setPredicate(ObjectId p){
    predicate = p;
  }


  private ObjectId subject, object, predicate;
}
