/*
*Copyright: Copyright (c) 2003-2004, Lehigh University. All rights reserved.
*License Statement: The GNU General Public License
*/


package edu.lehigh.swat.hawk.core;
import java.io.OutputStream;
//import edu.lehigh.swat.hawk.storage.StorageModel;
/**
 * Document writer, write the document to file.
 * Must be subclassed by implementation, that output specific file formats.
 * @author Z. Pan
 * @version 1.0
 */

public abstract class OntWriter {

  /**
   * Constructor
   */
  public OntWriter() {
  }

  /**
   * write a document to the output
   */
  public abstract void write(OutputStream out, Document doc) throws Exception;
}
